import request from '@/utils/request'

// 新增书城
export function addBookPlatInfo(data) {
    return request({
        url: '/system/bookPlatInfo',
        method: 'put',
        data: data
    })
}

// 获取书城列表
export function getBookPlatInfo(query) {
    return request({
        url: '/system/bookPlatInfo',
        method: 'GET',
        params: query
    })
}

// 删除书城列表
export function delBookPlatInfo(id) {
    return request({
        url: '/system/bookPlatInfo/' + id,
        method: 'DELETE'
    })
}

// 修改书城
export function editBookPlatInfo(data) {
    return request({
        url: '/system/bookPlatInfo',
        method: 'post',
        data: data
    })
}

// 获取书城列表
export function getBookPlatInfoAll() {
    return request({
        url: '/erp/bookPlatform/all',
        method: 'GET'
    })
}